import { defineComponent as i, toRefs as o, openBlock as l, createElementBlock as h, normalizeStyle as m, unref as e, createVNode as u } from "vue";
import { NImage as g } from "naive-ui";
const _ = i({ name: "EImage" }), C = /* @__PURE__ */ i({
  ..._,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(n) {
    const t = n, { w: c, h: a } = o(t.chartConfig.attr), { imgSrc: s, fit: d, borderRadius: f } = o(t.chartConfig.option), p = (r) => ({
      borderRadius: `${r}px`,
      overflow: "hidden"
    });
    return (r, b) => (l(), h("div", {
      style: m(p(e(f)))
    }, [
      u(e(g), {
        "object-fit": e(d),
        "preview-disabled": "",
        src: e(s),
        width: e(c),
        height: e(a)
      }, null, 8, ["object-fit", "src", "width", "height"])
    ], 4));
  }
});
export {
  C as default
};
